close all
clear all
clc

global n I nu pmguess

DATA;
PARAMETERS;
INITIAL_VALUES;

I  = ones(n,n);
nu = 0.5;
pmguess = ones(n,1);

params.theta = theta;
params.alpha = alpha;
params.eta   = eta;
params.B_NT  = B_NT;
params.Cs    = Cs;
params.B     = B;
params.beta  = beta; 
    
data.d_ni = d_ni;
data.border =border;
data.lang = lang;
data.D_ni_M_data = D_ni_M_data;
data.D_ni_m_data = D_ni_m_data;
data.realGDPpc = realGDPpc;
data.N = N;
data.shareRDEmp = shareRDEmp;

initial.L0 = L0;
initial.A0 = A0;
initial.A0_NT = A0_NT;
initial.rho0 = rho0;
initial.xi0 = xi0; 

options = optimset('Maxiter',1000);

function_algorithm = @(xx) algorithm(xx,params,data,initial);

[Xs, fval] = fminsearch(function_algorithm,X0,options);

save Calibration_MAY12_rho1 Xs


