load size_variables_9601

%%% DEFINE THE variable for realGDPpc 
realGDPpc = RGDPWOK;
GDP_data = GDP;

N = EMP;
n = length(RGDPWOK);   % Number of Countries
USA = 19;
L = L_e;
clear size_variables_9601

realGDPpc = realGDPpc / realGDPpc(USA); 

load dist
d_ni = d_ni/1000;

load lang
load contig
%load intra_data
load sharesRDEmployment

load mp_oecd19_9601_new_data_may12_matrix    
                            % Load data on MP flows. REVISED DATA. Average 1996-2001. UNCTAD. IN MILLIONS OF USD
                            % ROWS = origins; COLUMNS = DESTINATION. NEED
                            % TO TRANSPOSE MATRIX FOR THE FORMAT IN THIS
                            % CODE
flows_M_data = data*1000000;   % to USD dollars 
clear mp_oecd19_9601_new_data_may12_matrix

flows_M_data = flows_M_data';

load trade_flows_stan_mfg_avg_9601      % Load data on trade flows in mfg. Average 1996-2001. STAN. IN THOUSANDS OF USD
                                        % ROWS = origins; COLUMNS = DESTINATION. NEED
                                        % TO TRANSPOSE MATRIX FOR THE FORMAT IN THIS
                                        % CODE
flows_T_data = data*1000;               % To USD dollars
clear trade_flows_stan_mfg_avg_9601

flows_T_data =flows_T_data';

load absorption_variables_9601_mfg_stan % ABSORTION MFG X_n. DOMESTIC ABSORPTION MFG X_nn. TOTAL EXPORTS MFG. OECD19 IMPORTS MFG. STAN. AVERAGE 9601. MFG. IN USD.
X_data = X_n;
clear absorption_variables_9601_mfg_stan

D_ni_m_data   = flows_T_data./repmat(X_data,1,n);
D_ni_M_data   = flows_M_data./repmat(GDP,1,n);

for i=1:n
    D_ni_M_data(i,i) = 0; 
    D_ni_m_data(i,i) = 0;
    flows_M_data(i,i)  = 0;
    flows_T_data(i,i)  = 0;
end

OutwardMP_data = sum(flows_M_data,1)'./GDP;
InwardMP_data = sum(D_ni_M_data,2);

Export_data = sum(flows_T_data,1)'./X_data;
Import_data = sum(D_ni_m_data,2);

D_nn_M_data = 1 - sum(D_ni_M_data,2);
D_nn_m_data = 1 - sum(D_ni_m_data,2);

vec_D_ni_M_data = vec(D_ni_M_data);
vec_D_ni_m_data = vec(D_ni_m_data);
AvgMPData    = mean(vec_D_ni_M_data(vec_D_ni_M_data >0));
AvgTradeData = mean(vec_D_ni_m_data (vec_D_ni_m_data>0));


