
% Parameters
alpha = 0.75; % from AL -labor share in NT
beta  = 0.50;  % from AL -labor share in T
eta   = (1-alpha)/beta;

B    = beta^(-beta)   * (1-beta)^(beta-1); 
B_NT = alpha^-alpha * (1-alpha)^(alpha-1); % constant in prices (equal 1 when we use only labor for producing intermediate goods)
Cs   = 1;               % just a normalization; it does not matter for the estimation procedure with shares.


%%%%THIS IS 1-RHO IN THE PAPER
%xi0   = 0.5;
xi0   = 1;

%%%%%THIS IS THE ELASTICITY xi IN THE PAPER
rho0  = 1.5;

%%%%%THIS IS 1/THETA IN THE PAPER
%theta   = 1/3.75;
theta   = 1/4.45;