% GOODNESS OF FIT
eps_T     = (vec(D_ni_m(D_ni_m_data>0)') - vec(D_ni_m_data(D_ni_m_data>0)')).^2;
eps_M     = (vec(D_ni_M(D_ni_M_data>0)') - vec(D_ni_M_data(D_ni_M_data>0)')).^2;
eps_IT    = (intra_US(OmegaData>0) - OmegaData(OmegaData>0)).^2;
R2_T   =  1 - sum(eps_T)/sum(vec(D_ni_m_data(D_ni_m_data>0)').^2);
R2_M   =  1 - sum(eps_M)/sum(vec(D_ni_M_data(D_ni_M_data>0)').^2);
R2_IT  =  1 - sum(eps_IT)/sum(OmegaData(OmegaData>0).^2);

COR_bil_X  = corrcoef(vec(D_ni_m(D_ni_m_data>0)'),vec(D_ni_m_data(D_ni_m_data>0)'));
COR_bil_X  = COR_bil_X(1,2);
COR_bil_M  = corrcoef(vec(D_ni_M(D_ni_M_data>0)'),vec(D_ni_M_data(D_ni_M_data>0)'));
COR_bil_M  = COR_bil_M(1,2);
COR_bil_IT = corrcoef(intra_US(OmegaData>0),OmegaData(OmegaData>0));

realGDPpc_model = (GDP_model./N)./P;
realGDPpc_model = realGDPpc_model / realGDPpc_model(USA);

COR_MP_in_sh  = corrcoef(InwardMP_model,InwardMP_data);
COR_MP_out_sh = corrcoef(OutwardMP_model,OutwardMP_data);
COR_M_sh  = corrcoef(Import_model,Import_data);
COR_X_sh  = corrcoef(Export_model,Export_data);

COR        = [COR_bil_X COR_bil_M COR_M_sh(1,2) COR_X_sh(1,2) COR_MP_out_sh(1,2) COR_MP_in_sh(1,2)]';
R2_results = [R2_T R2_M]';

corrcoef(Export_Yg_data(1:n-1), BMP_MfgMfg_data);
corrcoef(Export_Yg_model(1:n-1), BMP_Mfg_US(1:n-1));

[coef,sd_eps,sd_coef]=OLS(Export_Yg_data(1:n-1), BMP_MfgMfg_data);



