close all
clear all

global pmguess n nu I

DATA;
PARAMETERS;

% Others
I  = ones(n,n);
nu = 0.5;
pmguess = ones(n,1);

% Calibrated Parameters from CALIBRATION.m
%load Calibration_MAY12_rho05
load Calibration_MAY12_rho1

[k,h] = fcosts(Xs,border,lang,d_ni,n);

% Set initial values for subloops for L,A ("a"), and A_NT ("mu")
A0_NT = A_NT;
L0 = L;
A0 = A;
clear A_NT L A

cparams.k = k;
cparams.h = h;

h_calib = h;
k_calib = k;

MODEL_SOLVED;
MOMENTS;
CORRELATIONS;
EK_REGRESSION;
MOMENTS_COSTS;
GAINS_INDEPENDENCE;

if xi ==0.5
save BMP_rho05 BMP_Mfg_US Export_Yg_model
elseif xi==1
save BMP_rho1 BMP_Mfg_US Export_Yg_model
end

GAINS;

if xi==1
save MP_GT_rho1 InwardMP_model GT_tilda_model GT
end

if xi==1
NZL_EXERCISE;
end

OUTPUT;

PLOTS;



