% COSTS STATS
E_h         = (sum(vec(1./h'))-n)/(n*(n-1));
E_h_NT      = (sum(vec(1./h_NT'))-n)/(n*(n-1));
V_h         = var(reshape((1./h)',n^2,1));
STD_h       = (V_h^0.5)/E_h;
temp_kh     = corrcoef(reshape((1./k)',n^2,1),reshape((1./h)',n^2,1));
COR_kh      = temp_kh(1,2);
E_k         = (sum(vec(1./k'))-n)/(n*(n-1));
V_k         = var(reshape((1./k)',n^2,1));
STD_k       = (V_k^0.5)/E_k;

k_wiggle = 1./k;
min_k       = min(k_wiggle(k~=1));
max_k       = max(max(k_wiggle));

h_wiggle = 1./h;
min_h       = min(h_wiggle(h~=1));
max_h       = max(max(h_wiggle));

delta_k   = Xs(1);
delta_h   = Xs(2);
delta_ck  = Xs(3);
delta_ch  = Xs(4);
delta_lk  = Xs(5);
delta_lh  = Xs(6);
cons_k    = Xs(7);   
cons_h    = Xs(8);

border_k   = 1 - (1-delta_ck)*(border==1);
border_h   = 1 - (1-delta_ch)*(border==1);
lang_k     = 1 - (1-delta_lk)*(lang==1);
lang_h     = 1 - (1-delta_lh)*(lang==1);

dhdd = ((1./(1 + (cons_h + delta_h* d_ni*1.1).*border_h.*lang_h)) - h)./h;
dkdd = ((1./(1 + (cons_k + delta_k* d_ni*1.1).*border_k.*lang_k)) - k)./k;
OffDiagh = isnan(dhdd);
OffDiagk = isnan(dkdd);
Avg_dhdd = mean(dhdd(OffDiagh==0));
Avg_dkdd = mean(dkdd(OffDiagk==0));
