close all
clear all

DATA;

load BMP_rho05
X_AXIS_rho05 = BMP_Mfg_US(1:n-1);
Y_AXIS_rho05 = Export_Yg_model(1:n-1);
clear BMP_rho05

load BMP_rho1
X_AXIS_rho1 = BMP_Mfg_US(1:n-1);
Y_AXIS_rho1 = Export_Yg_model(1:n-1);
clear BMP_rho1

[beta,coef_e,coef_beta] = OLS(BMP_MfgMfg_data,Export_Yg_data(1:n-1));

figure
subplot(1,3,1)
scatter(BMP_MfgMfg_data,Export_Yg_data(1:n-1),'w')
text(BMP_MfgMfg_data,Export_Yg_data(1:n-1),names19(1,1:n-1),'Fontsize',6,'FontWeight','bold','Color','b')
title('Data')
xlabel('BMP share from the U.S. in country l')
ylabel('Export share from country l')
subplot(1,3,2)
scatter(X_AXIS_rho1,Y_AXIS_rho1,'w')
text(X_AXIS_rho1,Y_AXIS_rho1,names19(1,1:n-1),'Fontsize',6,'FontWeight','bold','Color','b')
title('Model with rho = 0')
xlabel('BMP share from the U.S. in country l')
ylabel('Export share from country l')
subplot(1,3,3)
scatter(X_AXIS_rho05,Y_AXIS_rho05,'w')
text(X_AXIS_rho05,Y_AXIS_rho05,names19(1,1:n-1),'Fontsize',6,'FontWeight','bold','Color','b')
title('Model with rho = 0.5')
xlabel('BMP share from the U.S. in country l')
ylabel('Export share from country l')


load MP_GT_rho1
dif_GT = GT - GT_tilda_model;
 figure
 hold on
 scatter(InwardMP_model,dif_GT,'w')
 text(InwardMP_model,dif_GT,names19,'Fontsize',6,'FontWeight','bold','Color','b')
 hold off
 xlabel('Inward MP (as share of GDP)')
 ylabel('Gains from Trade: GT - GT*')


