
realWageBench_NZL = realWageBench(NZL);

%ONLY TRADE AS CANADA
k_NZL_OUT = k_calib(:,CAN);
k_NZL_IN  = k_calib(CAN,:);
k(:,NZL) = k_NZL_OUT;
k(NZL,:) = k_NZL_IN;
k(NZL,NZL) = 1;

cparams.k = k;
cparams.h = h_calib;
h_NT = max(0,min(1,(1/A_NT)*(h_calib - eye(n)) + eye(n)));
[w,Z,Pm] = f_wagesNew(w0,params,A,cparams, T_li,L);

c_NT        = B_NT * (w.^alpha) .* (Pm.^(1-alpha));
c_NT_matrix = (diag(c_NT)*I)';         % This matrix is nXn of the form: [c(1) c(2) ...c(n); c(1)...c(n);...]

MP_cost_NT  = c_NT_matrix'./h_NT;      % This matrix is nXn of the form: [c(1)/h11 c(1)/h12 ...c(1)/h1n; c(2)/h21...c(2)/h2n;...]
Cin_NT      = MP_cost_NT;

ProdNT  = (Cin_NT.^(-1/theta)).* T_li;
Psi_NT = sum(ProdNT,2);
P = Cs * Psi_NT.^(-theta);

realWageEx_NZL = w(NZL)/ P(NZL);


Gains_NZL_CAN_TRADE = realWageEx_NZL/realWageBench_NZL;

clear realWageEx 
% ============================================================
% ONLY MP AS CANADA
h_NZL_OUT = h_calib(:,CAN);
h_NZL_IN  = h_calib(CAN,:);
h(:,NZL) = h_NZL_OUT;
h(NZL,:) = h_NZL_IN;
h(NZL,NZL) = 1;
h_NT = max(0,min(1,(1/A_NT)*(h - eye(n)) + eye(n)));
cparams.h = h;
cparams.k = k_calib;

[w,Z,Pm] = f_wagesNew(w0,params,A,cparams, T_li,L);

c_NT        = B_NT * (w.^alpha) .* (Pm.^(1-alpha));
c_NT_matrix = (diag(c_NT)*I)';         % This matrix is nXn of the form: [c(1) c(2) ...c(n); c(1)...c(n);...]

MP_cost_NT  = c_NT_matrix'./h_NT;      % This matrix is nXn of the form: [c(1)/h11 c(1)/h12 ...c(1)/h1n; c(2)/h21...c(2)/h2n;...]
Cin_NT      = MP_cost_NT;

ProdNT  = (Cin_NT.^(-1/theta)).* T_li;
Psi_NT = sum(ProdNT,2);
P = Cs * Psi_NT.^(-theta);
realWageEx_NZL = w(NZL)/ P(NZL);

Gains_NZL_CAN_MP = realWageEx_NZL./realWageBench_NZL;

clear realWageEx 
% ============================================================
% TRADE AND MP AS CANADA

k_NZL_OUT = k_calib(:,CAN);
k_NZL_IN  = k_calib(CAN,:);
h_NZL_OUT = h_calib(:,CAN);
h_NZL_IN  = h_calib(CAN,:);

k(:,NZL) = k_NZL_OUT;
k(NZL,:) = k_NZL_IN;
h(:,NZL) = h_NZL_OUT;
h(NZL,:) = h_NZL_IN;
k(NZL,NZL) = 1;
h(NZL,NZL) = 1;

h_NT = max(0,min(1,(1/A_NT)*(h - eye(n)) + eye(n)));

cparams.h = h;
cparams.k = k;

[w,Z,Pm] = f_wagesNew(w0,params,A,cparams, T_li,L);

c_NT        = B_NT * (w.^alpha) .* (Pm.^(1-alpha));
c_NT_matrix = (diag(c_NT)*I)';         % This matrix is nXn of the form: [c(1) c(2) ...c(n); c(1)...c(n);...]

MP_cost_NT  = c_NT_matrix'./h_NT;      % This matrix is nXn of the form: [c(1)/h11 c(1)/h12 ...c(1)/h1n; c(2)/h21...c(2)/h2n;...]
Cin_NT      = MP_cost_NT;

ProdNT  = (Cin_NT.^(-1/theta)).* T_li;
Psi_NT = sum(ProdNT,2);
P = Cs * Psi_NT.^(-theta);

realWageEx_NZL = w(NZL)/ P(NZL);

Gains_NZL_CAN_MPTRADE = realWageEx_NZL/realWageBench_NZL;

% =========================================================================
% ============
% ===================================================

%ONLY TRADE AS BELGIUM
k_NZL_OUT = k_calib(:,BEL);
k_NZL_IN  = k_calib(BEL,:);
k(:,NZL) = k_NZL_OUT;
k(NZL,:) = k_NZL_IN;
k(NZL,NZL) = 1;

cparams.k = k;
cparams.h = h_calib;
h_NT = max(0,min(1,(1/A_NT)*(h_calib - eye(n)) + eye(n)));

[w,Z,Pm] = f_wagesNew(w0,params,A,cparams, T_li,L);

c_NT        = B_NT * (w.^alpha) .* (Pm.^(1-alpha));
c_NT_matrix = (diag(c_NT)*I)';         % This matrix is nXn of the form: [c(1) c(2) ...c(n); c(1)...c(n);...]

MP_cost_NT  = c_NT_matrix'./h_NT;      % This matrix is nXn of the form: [c(1)/h11 c(1)/h12 ...c(1)/h1n; c(2)/h21...c(2)/h2n;...]
Cin_NT      = MP_cost_NT;

ProdNT  = (Cin_NT.^(-1/theta)).* T_li;
Psi_NT = sum(ProdNT,2);
P = Cs * Psi_NT.^(-theta);

realWageEx_NZL = w(NZL)/ P(NZL);

Gains_NZL_BEL_TRADE = realWageEx_NZL/realWageBench_NZL;

clear realWageEx 
% ============================================================
% ONLY MP AS BELGIUM
h_NZL_OUT = h_calib(:,BEL);
h_NZL_IN  = h_calib(BEL,:);
h(:,NZL) = h_NZL_OUT;
h(NZL,:) = h_NZL_IN;
h(NZL,NZL) = 1;
h_NT = max(0,min(1,(1/A_NT)*(h - eye(n)) + eye(n)));

cparams.h = h;
cparams.k = k_calib;

[w,Z,Pm] = f_wagesNew(w0,params,A,cparams, T_li,L);

c_NT        = B_NT * (w.^alpha) .* (Pm.^(1-alpha));
c_NT_matrix = (diag(c_NT)*I)';         % This matrix is nXn of the form: [c(1) c(2) ...c(n); c(1)...c(n);...]

MP_cost_NT  = c_NT_matrix'./h_NT;      % This matrix is nXn of the form: [c(1)/h11 c(1)/h12 ...c(1)/h1n; c(2)/h21...c(2)/h2n;...]
Cin_NT      = MP_cost_NT;

ProdNT  = (Cin_NT.^(-1/theta)).* T_li;
Psi_NT = sum(ProdNT,2);
P = Cs * Psi_NT.^(-theta);
realWageEx_NZL = w(NZL)/ P(NZL);

Gains_NZL_BEL_MP = realWageEx_NZL./realWageBench_NZL;

clear realWageEx 
% ============================================================
% TRADE AND MP AS BELGIUM

k_NZL_OUT = k_calib(:,BEL);
k_NZL_IN  = k_calib(BEL,:);
h_NZL_OUT = h_calib(:,CAN);
h_NZL_IN  = h_calib(CAN,:);

k(:,NZL) = k_NZL_OUT;
k(NZL,:) = k_NZL_IN;
h(:,NZL) = h_NZL_OUT;
h(NZL,:) = h_NZL_IN;
k(NZL,NZL) = 1;
h(NZL,NZL) = 1;

h_NT = max(0,min(1,(1/A_NT)*(h - eye(n)) + eye(n)));

cparams.h = h;
cparams.k = k;
[w,Z,Pm] = f_wagesNew(w0,params,A,cparams, T_li,L);

c_NT        = B_NT * (w.^alpha) .* (Pm.^(1-alpha));
c_NT_matrix = (diag(c_NT)*I)';         % This matrix is nXn of the form: [c(1) c(2) ...c(n); c(1)...c(n);...]

MP_cost_NT  = c_NT_matrix'./h_NT;      % This matrix is nXn of the form: [c(1)/h11 c(1)/h12 ...c(1)/h1n; c(2)/h21...c(2)/h2n;...]
Cin_NT      = MP_cost_NT;

ProdNT  = (Cin_NT.^(-1/theta)).* T_li;
Psi_NT = sum(ProdNT,2);
P = Cs * Psi_NT.^(-theta);

realWageEx_NZL = w(NZL)./ P(NZL);

Gains_NZL_BEL_MPTRADE = realWageEx_NZL/realWageBench_NZL;


            
            
            
